Summary: A compiler and runtime implementation of the Brook stream program language for modern graphics hardware.
Name: brook
Version: v0.5_beta1
Release: 1%{?dist}
License: GPL
Group: Development/Languages
# svn co -r 1889 "https://brook.svn.sourceforge.net/svnroot/brook/branches/Niall's Update"
Source: brook-rev1889.tar.bz2
Patch: brook-Makefile.patch
Prefix: /usr
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
URL: http://graphics.stanford.edu/projects/brookgpu/

%description
Brook for GPUs is a compiler and runtime implementation of the Brook stream
program language for modern graphics hardware. The goals for this project are:

  * Demonstrate general purpose programing on GPUs.
  * Provide a useful tool for developers who want to run applications on GPUs.
  * Research the stream language programing model, streaming applications,
    and system implementations.

%prep
%setup -q -n brook
%patch -p0

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/brook-tests
mkdir -p $RPM_BUILD_ROOT%{_includedir}/brook

install -m 755 bin/* $RPM_BUILD_ROOT%{_libexecdir}/brook-tests
install -m 644 bin/lib* $RPM_BUILD_ROOT%{_libdir}
rm -f $RPM_BUILD_ROOT%{_libexecdir}/brook-tests/lib*
install -m 755 bin/brcc $RPM_BUILD_ROOT%{_bindir}
rm -f $RPM_BUILD_ROOT%{_libexecdir}/brook-tests/brcc
install -m 644 include/brook/* $RPM_BUILD_ROOT%{_includedir}/brook

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog.txt COPYRIGHT.txt LICENSE.txt MaxSpeeds.txt QUICK_START.txt ReadMe.txt
%{_bindir}/brcc
%{_libdir}/lib*
%{_libexecdir}/brook-tests
%{_includedir}/brook
